Bug 64261 - Typos, etc in the x86 Installation guide
Summary: Typos, etc in the x86 Installation guide
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-ig-x86 (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Sandra Moore
QA Contact: Sandra Moore
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-30 20:52 UTC by John Horne
Modified: 2014-08-04 22:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-01 16:57:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHL 7.2 x86 Installation guide typos (1.44 KB, text/plain)
2002-04-30 20:54 UTC, John Horne
no flags Details

Description John Horne 2002-04-30 20:52:31 UTC
Description of Problem:
Having read through the x86 Installation guide, I have found 7 errors. See the
attached list.

Version-Release number of selected component (if applicable):
rhl-ig-x86(EN)-7.2-Print-RHI (2001-08-30T12:12-0400)

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 John Horne 2002-04-30 20:54:29 UTC
Created attachment 55944 [details]
RHL 7.2 x86 Installation guide typos

Comment 2 Sandra Moore 2002-04-30 21:55:03 UTC
Thanks for the feedback and for your interest in Red Hat Linux.

I will address these by the numbers you used in the attatchment.
1) Fixed in CVS for next version
2) Semantics, the term "and" is okay as used here, unchanged
3) I'll add this as a feature request for the next version*
4) I'll add this as a feature request for the next version*
5) Fixed in CVS for next version
6) As I understand it, and in the way it is used in the text, this is correct.
The '/location/of/disk/space' is a directory the user creates, such as
/export/7.3/ that will then be exported when used in the example:
Export /export/7.3/   rather than    Export /location/of/disk/space
7) Already fixed for next release.

I will close this bug once all the items are fixed. Until then, I'll leave it
open as a friendly reminder for myself.

Thanks again for the feedback.
Sandra

Comment 3 John Horne 2002-04-30 22:58:41 UTC
Thanks for the quick reply :-) I had just noticed that point 7 was already listed
in bugzilla. Sorry.

Item 6 however, my point was that there is no 'Export' command.


John.

Comment 4 Sandra Moore 2002-05-01 14:37:49 UTC
Ok, we've made headway with the "Export" command.

In Chapter 3. Installing Red Hat Linux, in the section Preparing for a
Network Installation --> Setting up the Server

The last command for is incorrect:


     Next, make /location/of/disk/space accessible to the installation
     program (for example, exporting it for NFS installations).

     Export /location/of/disk/space


Instead, it should be:

     Next, make /location/of/disk/space accessible to the installation
     program (for example, exporting it for NFS installations) by editing
     the /etc/exports file and adding the line:

     /location/of/disk/space *(ro)


     Finally, run the following command to make /location/of/disk/space
     available as read-only to each system to mount:

     exportfs -a

This has been fixed in CVS for the next version.



The remaining items to be fixed are:
3) I'll add this as a feature request for the next version*
4) I'll add this as a feature request for the next version*

Comment 5 Sandra Moore 2002-05-01 14:46:10 UTC
I need more caffeine... 

"The last command for is incorrect:" should be
"The last command is incorrect:"





Comment 6 Sandra Moore 2002-05-01 16:57:19 UTC
And I've been corrected once again concerning the Export/exportfs -a command.
Rather than using either of these, use the '/sbin/service nfs reload" command.
Thanks to Tammy Fox and Brock Organ for their assistance in figuring this one
out.

Comment 7 Sandra Moore 2002-07-17 16:59:01 UTC
Here's the final verdict of the requests:

3) Page 42; section 3.7 (mouse configuration)
   There is no mention of rollerball type mice. We had a server at work
   with one, but, sorry, I cannot remember how we actually configured it
   during installation. The point is that many rack-mounted servers are
   shipped with rollerball type mice (no where to use an ordinary mouse!).

We've decided not to add this one to the text at this time, but we'll keep it in
mind for future releases.

4) Page 59; figure 3-11
   For the given IP address and netmask, the broadcast address shown is
   wrong. It should be 192.168.0.255. Likewise the network address should
   be 192.168.0.0.

   I would add the point that whilst these are private IP addresses, there
   is an IANA reserved address subnet specifically for documentation
   examples. It is 192.0.2.0/24.

Thanks so much for this information. The network configuration screen for the
installation program will reflect these values (192.0.2.0/24) for future releases.

Thanks again for the feedback. The next release of Red Hat Linux will reflect
your changes and suggestions.


Note You need to log in before you can comment on or make changes to this bug.